com.microfocus.awm.model.toolexecution

## Interface IResourceOperation

- All Superinterfaces:
    java.lang.Cloneable
  All Known Implementing Classes:
    ResourceOperation

      public interface IResourceOperation
      extends java.lang.Cloneable

  Describes a resource operation. Resource operations are modifications to `IResource`s, mainly `IElement`s and `IElementListEntry`s to reflect changes made by executed tool descriptors.
  Author:
    Micro Focus

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IResourceOperation` | `clone()` Clones the resource operation.
    `java.util.Collection<IPropertyValue>` | `getPropertyValues()` Gets property values changed by the resource operation or containing the changed element ID.
    `java.lang.String` | `getResourceName()` Gets the logical affected resource name of the resource operation.
    `EResourceProcessingTypes` | `getType()` Gets the resource operation type.
    `boolean` | `isRefresh()` Whether the specified resource's `Get All Properties` action should be executed after the resource operation is handled.
    `boolean` | `isSelect()` Whether the specified resource should be selected in the UI after handling the resource operation.

- - ### Method Detail

    - #### getPropertyValues

          java.util.Collection<IPropertyValue> getPropertyValues()

      Gets property values changed by the resource operation or containing the changed element ID.
      Returns:
        the resource operation's property values. Can be empty.

    - #### getResourceName

          java.lang.String getResourceName()

      Gets the logical affected resource name of the resource operation. The name will be used to create or update a separate affected resource context.
      Returns:
        the affected resource name or `null` if the operation is aimed for the current context

    - #### getType

          EResourceProcessingTypes getType()

      Gets the resource operation type.
      Returns:
        the resource operation type

    - #### isSelect

          boolean isSelect()

      Whether the specified resource should be selected in the UI after handling the resource operation.
      Returns:
        `true` if the specified resource should be selected

    - #### isRefresh

          boolean isRefresh()

      Whether the specified resource's `Get All Properties` action should be executed after the resource operation is handled.
      Returns:
        `true` if the specified resource should be refreshed

    - #### clone

          IResourceOperation clone()

      Clones the resource operation.
      Returns:
        a copy of this instance

Copyright © 2015 Micro Focus GmbH. All rights reserved.